Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem Class Reference

Item of content drafts list which represents draft to which user has no access for. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem:

## Public Member Functions
| __construct (string $module, string $function, array $payload)
| getModule ()
| getFunction ()
| getPayload ()
| getVersionInfo ()
| hasVersionInfo ()

## Private Attributes
| $module
| $function
| $payload

## Detailed Description

Item of content drafts list which represents draft to which user has no access for.

Definition at line 17 of file UnauthorizedContentDraftListItem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::__construct | ( | string | $module,
|  | string | $function,
|  | array | $payload
| ) |  |

Parameters

  string | $module |
  string | $function |
  array | $payload |

Definition at line 33 of file UnauthorizedContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$function, eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$module, and eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$payload.

## Member Function Documentation

## ◆ getFunction()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::getFunction | ( |  | ) |

Returns
  string

Definition at line 51 of file UnauthorizedContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$function.

## ◆ getModule()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::getModule | ( |  | ) |

Returns
  string

Definition at line 43 of file UnauthorizedContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$module.

## ◆ getPayload()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::getPayload | ( |  | ) |

Returns
  array

Definition at line 59 of file UnauthorizedContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$payload.

## ◆ getVersionInfo()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::getVersionInfo | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Values\Content\VersionInfo|null

Implements eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface.

Definition at line 67 of file UnauthorizedContentDraftListItem.php.

## ◆ hasVersionInfo()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::hasVersionInfo | ( |  | ) |

Returns
  bool

Implements eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface.

Definition at line 75 of file UnauthorizedContentDraftListItem.php.

## Member Data Documentation

## ◆ $function

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::$function
| private

Definition at line 23 of file UnauthorizedContentDraftListItem.php.

Referenced by eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\__construct(), and eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getFunction().

## ◆ $module

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::$module
| private

Definition at line 20 of file UnauthorizedContentDraftListItem.php.

Referenced by eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\__construct(), and eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getModule().

## ◆ $payload

eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem::$payload
| private

Definition at line 26 of file UnauthorizedContentDraftListItem.php.

Referenced by eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\__construct(), and eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getPayload().

The documentation for this class was generated from the following file:

- UnauthorizedContentDraftListItem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.